summaryrefslogtreecommitdiffstats
path: root/mkpkgs
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2020-12-21 07:27:50 (EST)
committer P. J. McDermott <pj@pehjota.net>2020-12-21 07:27:50 (EST)
commitc6e2efe57263fef42949fec42877ffca83c9f7c3 (patch)
treea2c7fa93139f065eb4f265c98178540bcda724da /mkpkgs
Initial commit
Diffstat (limited to 'mkpkgs')
-rwxr-xr-xmkpkgs23
1 files changed, 23 insertions, 0 deletions
diff --git a/mkpkgs b/mkpkgs
new file mode 100755
index 0000000..34ef608
--- /dev/null
+++ b/mkpkgs
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+for pkg in libc.6; do
+ # These are installed into section "base" because these packages don't
+ # semantically belong anywhere else. They can't be installed into
+ # "lib", because opkbuild would append ":${Host-Arch}" to their names,
+ # which is exactly the problem we're trying to solve here.
+ mkdir -p "${pkg}.pkg"
+ cat 1>"${pkg}.pkg/control" 0<<-EOF
+ Architecture: any
+ Platform: all
+ Section: base
+ Depends:
+ ${pkg}:\${Host-Arch},
+ malt-common (= \${Source-Version}),
+ Description: Multiarch library transition for ${pkg}
+ \${Common-Description}
+ .
+ This is a transitional package for ${pkg}.
+ EOF
+done